repos:
  - repo: https://github.com/pre-commit/mirrors-eslint
    rev: v7.11.0
    hooks:
      - id: eslint
        language: node
        args: ['--fix', '--max-warnings', '0']
        files: \.(js|vue)$
        types: [file]
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: trailing-whitespace
      - id: check-yaml
      - id: mixed-line-ending
      - id: check-json
  - repo: https://github.com/codespell-project/codespell
    rev: v1.17.1
    hooks:
      - id: codespell
        args: ['--write-changes']
        exclude: ^(src/assets|package-lock.json)
  - repo: meta
    hooks:
      - id: check-useless-excludes
